"use strict";

require("core-js/modules/es.object.assign.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FloatButton = exports.FlatButton = void 0;

var _react = _interopRequireDefault(require("react"));

var _button = require("./button.style");

const _excluded = ["value", "className", "style", "children"],
      _excluded2 = ["value", "className", "style", "children"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const FlatButton = _ref => {
  let {
    value,
    className,
    style,
    children
  } = _ref,
      props = _objectWithoutProperties(_ref, _excluded);

  const STYLE = _objectSpread({}, style);

  return /*#__PURE__*/_react.default.createElement(_button.BoxButton, _extends({
    className: "".concat(className),
    style: STYLE
  }, props), children);
}; // FlatButton.prototype ={onClick, disabled, value, className, style, children,...props}


exports.FlatButton = FlatButton;

const FloatButton = _ref2 => {
  let {
    value,
    className,
    style,
    children
  } = _ref2,
      props = _objectWithoutProperties(_ref2, _excluded2);

  const STYLE = _objectSpread({}, style);

  return /*#__PURE__*/_react.default.createElement(_button.RaisedButton, _extends({
    className: "".concat(className),
    style: STYLE
  }, props), children);
}; // RaisedButton.prototype = {onClick, disabled, value, className, style, children,...props}
// const RoundButton = ({value, className, style, children, ...props})=>{
//     const STYLE = {...style}
//     return(
//         <button className={`${className}`} style={STYLE} {...props}>
//             {children ? children : <h4>{value}</h4>}
//         </button>
//     )
// }
// RoundButton.prototype = {onClick, disabled, value, className, style, children,...props}


exports.FloatButton = FloatButton;