"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/es.regexp.exec.js");

require("core-js/modules/es.string.search.js");

require("core-js/modules/es.string.includes.js");

require("./Table.css");

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const colNames = ["id", "name", "username", "email"];

const Table = _ref => {
  let {
    search,
    setSearch,
    data
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("table", null, /*#__PURE__*/_react.default.createElement("thead", null, /*#__PURE__*/_react.default.createElement("tr", null, data.map((header, index) => /*#__PURE__*/_react.default.createElement("th", {
    key: index
  }, header.toUpperCase())))), /*#__PURE__*/_react.default.createElement("tbody", null, Object.values(data).filter(val => {
    if (search == "") {
      return val;
    } else if (val.name.toLowerCase().includes(search.toLowerCase()) || val.username.toLowerCase().includes(search.toLowerCase()) || val.email.toLowerCase().includes(search.toLowerCase())) {
      return val;
    }
  }).map((obj, index) => /*#__PURE__*/_react.default.createElement("tr", {
    key: index
  }, Object.values(obj).map((value, indx) => /*#__PURE__*/_react.default.createElement("td", {
    key: indx,
    "data-label": colNames[indx]
  }, value))))));
};

var _default = Table;
exports.default = _default;