"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

require("core-js/modules/es.string.includes.js");

require("./search.css");

var _react = require("react");

function Search() {
  const [Data, setData] = (0, _react.useState)([]);
  const [searchDetails, setSearchDetails] = (0, _react.useState)();
  const [show, setShow] = (0, _react.useState)(false);
  const [query, setQuery] = (0, _react.useState)("");

  const handleChage = e => {
    const {
      value
    } = e.target;
    setQuery(value);
    setShow(true);
    const resentSearch = Data.filter(item => item.toLowerCase().includes(value.toLowerCase()));
    setSearchDetails(resentSearch);
  };

  const handleEnterKey = e => {
    const {
      value
    } = e.target;

    if (e.key === "Enter") {
      setData(Data => [...Data, query]);
      setShow(false);
      setQuery("");
      value = "";
    }
  };

  return /*#__PURE__*/React.createElement("div", {
    className: "App"
  }, /*#__PURE__*/React.createElement("div", {
    className: "search"
  }, /*#__PURE__*/React.createElement("input", {
    type: "text",
    value: query,
    name: "searchbox",
    placeholder: "Search...",
    onChange: handleChage,
    onKeyPress: handleEnterKey
  }), query !== "" || show === true ? /*#__PURE__*/React.createElement("div", {
    className: "searchbody"
  }, /*#__PURE__*/React.createElement("div", null, query !== "" && searchDetails.map((item, key) => /*#__PURE__*/React.createElement("div", {
    key: key
  }, /*#__PURE__*/React.createElement("h3", null, item))))) : ""));
}

var _default = Search;
exports.default = _default;