"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RaisedButton = exports.BoxButton = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _templateObject, _templateObject2;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

const BoxButton = _styledComponents.default.button(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  appearance: none;\n  cursor: pointer;\n  background-color: ", ";\n  color: ", ";\n  outline: none;\n  padding: ", ";\n  border: none;\n  border-radius: ", ";\n  box-sizing: border-box;\n  font-size: ", ";\n  font-weight: 500; \n  -webkit-transition: ease-out 0.4s;\n  -moz-transition: ease-out 0.4s;\n  transition: ease-out 0.4s;\n  :hover {\n    box-shadow: inset 400px 0 0 0 black;\n  }\n"])), props => props.primary || "black", props => props.textWhite || "#000000", props => props.padding || "10px 15px", props => props.radius || "0px", props => props.fontSize || "14px");

exports.BoxButton = BoxButton;
BoxButton.defaultProps = {
  primary: "#69AC58",
  textWhite: "#ffffff",
  fontSize: "12px"
};

const RaisedButton = _styledComponents.default.button(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  appearance: none;\n  cursor: pointer;\n  display: \"block\";\n  background-color: ", ";\n  color: ", ";\n  outline: none;\n  /* padding: 10px 15px; */\n  border: none;\n  width:", " ;\n  height:", " ;\n  box-sizing: border-box;\n  font-size: ", ";\n  font-weight: 500;\n  -webkit-transition: ease-out 0.4s;\n  -moz-transition: ease-out 0.4s;\n  transition: ease-out 0.4s;\n  text-align: center;\n  :hover {\n    box-shadow: inset 0 0 400px 0 black;\n  }\n  border-radius: 50%;\n  box-shadow: 0px 18px 18px 0px rgba(0, 0, 0, 0.2);\n"])), props => props.primary || "black", props => props.textWhite || "#000000", props => props.width || "50px", props => props.height || "50px", props => props.fontSize || "14px");

exports.RaisedButton = RaisedButton;
RaisedButton.defaultProps = {
  primary: "#69AC58",
  textWhite: "#ffffff",
  fontSize: "12px"
};