"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Wrapper = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _templateObject;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

const Wrapper = _styledComponents.default.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n\n.chipInput{\n  color:gray\n}\n\n.chips-input {\n  display: flex;\n  align-items: center;\n  flex-wrap: wrap;\n  min-height: 48px;\n  border: 2px solid #aaa;\n  padding: 0 8px;\n  border-radius: 5px;\n  width: 500px;\n  flex-flow: wrap;\n}\n\n.chips-input:focus-within {\n  /* border-color: #0000ff; */\n  border-color:", " ;\n\n}\n\n.chips-input ul {\n  list-style-type: none;\n  display: flex;\n  align-items: center;\n  flex-wrap: wrap;\n  width: auto;\n  gap: 10px;\n  margin: 8px 0 0 0;\n}\n\n.chips-input ul li {\n  display: flex;\n  align-items: center;\n  background-color:", " ;\n  padding: 5px;\n  border-radius: 5px;\n  gap: 10px;\n  width: fit-content;\n}\n\n.chips-input ul li span {\n  color: #fff;\n  font-weight: 600;\n  font-size: small;\n}\n\n.chips-input ul li i {\n  color: #000;\n  font-weight: 600;\n  font-size: x-small;\n  font-style: normal;\n  background-color: #eee;\n  border-radius: 50%;\n  padding: 4px;\n  font-family: Arial, Helvetica, sans-serif;\n  display: flex;\n  cursor: pointer;\n}\n\n.chips-input ul li i:hover {\n  background-color: #ff0000;\n  color: #fff;\n}\n\n.chips-input input {\n  display: flex;\n  padding: 10px;\n  background: transparent;\n  border: 0;\n  outline: 0;\n  width: 100%;\n}"])), props => props.theme.primary ? props.theme.primary : props.chipColor, props => props.theme.primary ? props.theme.primary : props.chipColor);

exports.Wrapper = Wrapper;