"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _Menu = _interopRequireDefault(require("./Menu"));

require("./Menu.css");

var _react = require("react");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Display = () => {
  const [show, setShow] = (0, _react.useState)(false);
  const [x, setx] = (0, _react.useState)(0);
  const [y, sety] = (0, _react.useState)(0);

  const handleContext = e => {
    e.preventDefault();
    setx(e.pageX);
    sety(e.pageY);
    setShow(!show);
  };

  const handleClick = e => {
    show && setShow(false);
  };

  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("div", {
    className: "Display",
    onContextMenu: handleContext,
    onClick: handleClick
  }, /*#__PURE__*/React.createElement("h2", {
    className: "text"
  }, " Right Click ContextMenu Simplified"), show && /*#__PURE__*/React.createElement(_Menu.default, {
    x: x,
    y: y
  })));
};

var _default = Display;
exports.default = _default;